CREATE TABLE atc_reference_entities_ (
    REF_ENT_ID               NUMBER(18, 0) ,
    REFERENCE_NAME           VARCHAR2(800) ,
    REF_ENT_PUID             VARCHAR2(120) ,
    REF_ENT_HREF             VARCHAR2(4000),
    REF_ENT_NAME             VARCHAR2(800) ,
    REF_ENT_VERSION          VARCHAR2(80)  ,
    REF_ENT_BASE_TYPE        VARCHAR2(400) ,
    REF_ENT_PATH             VARCHAR2(4000),
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    ENTITY_ID                NUMBER(18, 0) ,
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    VERSION_STATE            NUMBER(2, 0)  ,
    ENTITY_NAME              VARCHAR2(400) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    REF_ENT_ID               NUMBER(18, 0) ,
    REFERENCE_NAME           VARCHAR2(800) ,
    REF_ENT_PUID             VARCHAR2(120) ,
    REF_ENT_HREF             VARCHAR2(4000),
    REF_ENT_NAME             VARCHAR2(800) ,
    REF_ENT_VERSION          VARCHAR2(80)  ,
    REF_ENT_BASE_TYPE        VARCHAR2(400) ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    ENTITY_ID                NUMBER(18, 0) ,
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    ENTITY_NAME              VARCHAR2(400) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    VERSION_STATE            NUMBER(2, 0)  ,
    REF_ENT_PATH             VARCHAR2(4000),
    CONSTRAINT pk_atc_reference_entities_ PRIMARY KEY (REF_ENT_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, REF_ENT_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
